> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a run



## OpenAPI

````yaml /api/openapi.json get /v1/runs/{id}
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/runs/{id}:
    get:
      tags:
        - Runs
      summary: Get a run
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  workflowSlug:
                    type: string
                  workflowTitle:
                    type: string
                  runtime:
                    type: string
                    enum:
                      - serverless
                      - pod
                  status:
                    type: string
                    enum:
                      - queued
                      - dispatching
                      - running
                      - succeeded
                      - failed
                      - canceled
                  createdAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                  startedAt:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      - type: 'null'
                  finishedAt:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      - type: 'null'
                  preview:
                    anyOf:
                      - type: object
                        properties:
                          url:
                            type: string
                            format: uri
                          thumbUrl:
                            anyOf:
                              - type: string
                                format: uri
                              - type: 'null'
                          mediaKind:
                            type: string
                        required:
                          - url
                          - thumbUrl
                          - mediaKind
                        additionalProperties: false
                      - type: 'null'
                  credits:
                    type:
                      - number
                      - 'null'
                  estimateCredits:
                    type:
                      - number
                      - 'null'
                  kind:
                    default: other
                    type: string
                    enum:
                      - image
                      - video
                      - build
                      - other
                  sessionId:
                    default: null
                    anyOf:
                      - type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      - type: 'null'
                  studio:
                    default: null
                    anyOf:
                      - type: object
                        properties:
                          mode:
                            type: string
                            enum:
                              - video
                              - image
                          prompt:
                            type: string
                          ratio:
                            type: string
                            enum:
                              - '1:1'
                              - '3:4'
                              - '4:5'
                              - '9:16'
                              - '16:9'
                          resolution:
                            type: string
                            enum:
                              - 0.5k
                              - 1k
                              - 2k
                              - 4k
                          seconds:
                            anyOf:
                              - type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              - type: 'null'
                          model:
                            default: null
                            anyOf:
                              - type: string
                                enum:
                                  - flux2-klein
                                  - krea3
                                  - flux3
                                  - minimax-h3
                                  - seedance25
                              - type: 'null'
                          characterName:
                            type:
                              - string
                              - 'null'
                          cast:
                            default: null
                            anyOf:
                              - oneOf:
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - own
                                      characterId:
                                        type: string
                                        format: uuid
                                        pattern: >-
                                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                    required:
                                      - kind
                                      - characterId
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - community
                                      slug:
                                        type: string
                                        minLength: 1
                                        maxLength: 120
                                    required:
                                      - kind
                                      - slug
                                    additionalProperties: false
                              - type: 'null'
                          characterNames:
                            default: []
                            type: array
                            items:
                              type: string
                          casts:
                            default: []
                            type: array
                            items:
                              oneOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - own
                                    characterId:
                                      type: string
                                      format: uuid
                                      pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                  required:
                                    - kind
                                    - characterId
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - community
                                    slug:
                                      type: string
                                      minLength: 1
                                      maxLength: 120
                                  required:
                                    - kind
                                    - slug
                                  additionalProperties: false
                          continueFrom:
                            default: null
                            anyOf:
                              - type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              - type: 'null'
                          reference:
                            default: null
                            anyOf:
                              - type: object
                                properties:
                                  key:
                                    type: string
                                    minLength: 1
                                  kind:
                                    type: string
                                    enum:
                                      - image
                                      - video
                                  name:
                                    type: string
                                  seconds:
                                    default: null
                                    anyOf:
                                      - type: integer
                                        minimum: -9007199254740991
                                        maximum: 9007199254740991
                                      - type: 'null'
                                required:
                                  - key
                                  - kind
                                  - name
                                  - seconds
                                additionalProperties: false
                              - type: 'null'
                        required:
                          - mode
                          - prompt
                          - ratio
                          - resolution
                          - seconds
                          - model
                          - characterName
                          - cast
                          - characterNames
                          - casts
                          - continueFrom
                          - reference
                        additionalProperties: false
                      - type: 'null'
                  outputCount:
                    default: 0
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  billableMs:
                    default: null
                    anyOf:
                      - type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      - type: 'null'
                  inputs:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: object
                      propertyNames:
                        type: string
                      additionalProperties: {}
                  error:
                    anyOf:
                      - type: object
                        properties:
                          message:
                            type: string
                        required:
                          - message
                        additionalProperties: false
                      - type: 'null'
                  progress:
                    anyOf:
                      - type: object
                        properties:
                          fraction:
                            anyOf:
                              - type: number
                                minimum: 0
                                maximum: 1
                              - type: 'null'
                          at:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                          phase:
                            anyOf:
                              - type: string
                                enum:
                                  - queued
                                  - preparing
                                  - loading
                                  - encode
                                  - sample
                                  - decode
                                  - save
                              - type: 'null'
                          step:
                            anyOf:
                              - type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              - type: 'null'
                          stepCount:
                            anyOf:
                              - type: integer
                                exclusiveMinimum: 0
                                maximum: 9007199254740991
                              - type: 'null'
                          detail:
                            type:
                              - string
                              - 'null'
                        required:
                          - fraction
                          - at
                          - phase
                          - step
                          - stepCount
                          - detail
                        additionalProperties: false
                      - type: 'null'
                  artifacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        mediaKind:
                          type: string
                        bytes:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        url:
                          type: string
                          format: uri
                        thumbUrl:
                          anyOf:
                            - type: string
                              format: uri
                            - type: 'null'
                        expiresAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                        label:
                          default: null
                          type:
                            - string
                            - 'null'
                        checkpoint:
                          default: false
                          type: boolean
                        continuity:
                          default: null
                          anyOf:
                            - type: object
                              properties:
                                characterId:
                                  type:
                                    - string
                                    - 'null'
                                continuityScore:
                                  type:
                                    - number
                                    - 'null'
                                continuityFaceOnly:
                                  type:
                                    - boolean
                                    - 'null'
                                continuitySubjectOnly:
                                  type:
                                    - boolean
                                    - 'null'
                                continuityWardrobe:
                                  type:
                                    - number
                                    - 'null'
                                continuityFace:
                                  type:
                                    - number
                                    - 'null'
                                continuitySubject:
                                  type:
                                    - number
                                    - 'null'
                                continuityGallery:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - frozen
                                        - refs
                                    - type: 'null'
                                continuityFraming:
                                  type:
                                    - number
                                    - 'null'
                                continuityFrames:
                                  anyOf:
                                    - type: integer
                                      minimum: -9007199254740991
                                      maximum: 9007199254740991
                                    - type: 'null'
                                continuityNoFace:
                                  anyOf:
                                    - type: integer
                                      minimum: -9007199254740991
                                      maximum: 9007199254740991
                                    - type: 'null'
                                continuityMean:
                                  type:
                                    - number
                                    - 'null'
                                continuityMin:
                                  type:
                                    - number
                                    - 'null'
                                continuityMinAt:
                                  type:
                                    - number
                                    - 'null'
                                continuitySamples:
                                  anyOf:
                                    - type: array
                                      items:
                                        type: object
                                        properties:
                                          at:
                                            type: number
                                          score:
                                            type: number
                                        required:
                                          - at
                                          - score
                                        additionalProperties: false
                                    - type: 'null'
                                castContinuity:
                                  anyOf:
                                    - type: object
                                      properties:
                                        perCharacter:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              file:
                                                type: string
                                              name:
                                                type: string
                                              score:
                                                type:
                                                  - number
                                                  - 'null'
                                              missingFrames:
                                                type: integer
                                                minimum: -9007199254740991
                                                maximum: 9007199254740991
                                              swappedFrames:
                                                type: integer
                                                minimum: -9007199254740991
                                                maximum: 9007199254740991
                                            required:
                                              - file
                                              - name
                                              - score
                                              - missingFrames
                                              - swappedFrames
                                            additionalProperties: false
                                        swapped:
                                          type: array
                                          items:
                                            type: string
                                        unmatched:
                                          type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                        frames:
                                          type: integer
                                          minimum: -9007199254740991
                                          maximum: 9007199254740991
                                      required:
                                        - perCharacter
                                        - swapped
                                        - unmatched
                                        - frames
                                      additionalProperties: false
                                    - type: 'null'
                              additionalProperties: false
                            - type: 'null'
                      required:
                        - id
                        - mediaKind
                        - bytes
                        - url
                        - thumbUrl
                        - expiresAt
                        - label
                        - checkpoint
                        - continuity
                      additionalProperties: false
                required:
                  - id
                  - workflowSlug
                  - workflowTitle
                  - runtime
                  - status
                  - createdAt
                  - startedAt
                  - finishedAt
                  - preview
                  - credits
                  - estimateCredits
                  - kind
                  - sessionId
                  - studio
                  - outputCount
                  - billableMs
                  - inputs
                  - error
                  - progress
                  - artifacts
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.